unit MatFun;

interface

Function Funct(x:extended):extended;
Function Ryad(x:extended):extended;

implementation

Function Funct;
 begin
  Result:=(sqr(x)/4+x/2+1)*exp(x/2);
 end;

Function Ryad;
var n:integer;fact,s:extended;
 begin
 fact:=1;
 S:=0;
 for n:=0 to 14 do
    begin
     if n=0 then fact:=1 else
     fact:=fact*n;
     S:=S+(sqr(n)+1)/fact*exp(n*Ln(x/2));
    end;
    Result:=S;
 end;

end.
